//#########################################################################
// PRINTF.H
//
//#########################################################################
// Last change: 29.07.2005
//#########################################################################
// Compiler: AVR-GCC 3.4.3
//#########################################################################

#ifndef __PRINTF_H
#define __PRINTF_H

#include <avr/pgmspace.h>

extern uint8_t debug_gu8;
extern void myputchar(unsigned char c);

extern void _puts_P(char const *txt);
#define puts(text)   _puts_P(PSTR(text))

extern void _printf_P (const char *format, ...);
#define printf(format, args...)   _printf_P(PSTR(format) , ## args)

#define printf_d(format, args...) _printf_P(PSTR(format) , ## args)
//extern void printf_d(uint8_t const *fmt, ...);

#endif
