/*****************************************************************************/
/*!
\file      sw_timer.h
\brief     Header for sw_timer.c 
                         

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     Matthias Koelling
  
  generated     Matthias Koelling 21.06.2008
  review
  released

  compiler      AVR GCC
  target        ATmega128-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    21.06.2008   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

#ifndef __SW_TIMER_h
#define __SW_TIMER_h

/* -- Includes ------------------------------------------------------------- */

/* -- Configuration Parameters --------------------------------------------- */

/* -- Makros --------------------------------------------------------------- */

/* -- Defines -------------------------------------------------------------- */ 

/* -- Types ---------------------------------------------------------------- */

typedef enum{
   SELECT_E,
   DISPLAY_E,
   NUM_TIMER_E
}sw_timer_e;

/* -- Extern Global Variables ---------------------------------------------- */

/* -- Global Function Prototypes ------------------------------------------- */
extern void Init_SW_Timer_fv(void);
extern void SW_Timer_50ms_fv(void);
extern void Set_SW_Timer_fv(uint8_t time_u8, void(*CallBack_pfv)(void));

#endif // __SW_TIMER_h 

// eof //
