/*****************************************************************************/
/*!
\file      tda4886.h
\brief     header for tda4886.c 
                         

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     
  
  generated     Matthias Koelling 26.04.2009
  review
  released

  compiler      AVR GCC
  target        ATmega1280-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    26.04.2009   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

#ifndef __TDA4886_h
#define __TDA4886_h

/* -- Includes ------------------------------------------------------------- */

/* -- Configuration Parameters --------------------------------------------- */

/* -- Defines -------------------------------------------------------------- */ 

#define TDA4886_SLAVE_ADD 0x88

/* -- Makros --------------------------------------------------------------- */

#define TDA4886_send_byte(sub,data) (Twi_send_byte(TDA4886_SLAVE_ADD,sub,data))

/* -- Types ---------------------------------------------------------------- */

/* -- Extern Global Variables ---------------------------------------------- */

/* -- Global Function Prototypes ------------------------------------------- */

extern void Init_TDA4886(void);

#endif // __TDA4886_h 

// eof //
