#define RX_BUFFER_LEN  30
#define TX_BUFFER_LEN 100

#define CONTROL_MP3 0
#define CONTROL_PC   1
#define KLINE   2

extern volatile uint8_t rx_int0;
extern volatile uint8_t rx_int1;
extern volatile uint8_t rxbuf0[];
extern volatile uint8_t rxbuf1[];


extern void Init_UART(void);
extern void Send_Char_fv(uint8_t char_u8, uint8_t device_u8);
extern void Send_Data_String_fv(const char *string_pau8, uint8_t device_u8);
extern void Send_Const_String_fv(const char *string_pau8, uint8_t device_u8);
extern uint8_t getchr(uint8_t *buffer_u8);
extern void EnqueueString(const uint8_t *addr);
extern void EnqueueHex(uint8_t hexbyte_u8, uint8_t device_u8);
