/*****************************************************************************/
/*!
\file      task.h
\brief     task prototypes for mini non preemptive operating system              

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     2008 Matthias Koelling 
  
  generated     Matthias Koelling 12.02.2008
  review
  released

  compiler      AVR GCC
  target        ATmega128-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    12.02.2007   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

extern void Task_10ms_fv(void);
extern void Task1_50ms_fv(void);
extern void Task2_50ms_fv(void);
extern void Task_500ms_fv(void);
