/*****************************************************************************/
/*!
\file      twi.h
\brief     Header for twi.c 
                         

\implementation
  project       Multimedia Gateway
  version       0.00
  copyright     
  
  generated     Matthias Koelling 26.04.2009
  review
  released

  compiler      AVR GCC
  target        ATmega1280-16AU
\endimplementation

\history  
  Rev     Date         Author      Commentary
  0.00    26.04.2009   Koelling    generated
\endhistory  
*/
/*****************************************************************************/

#ifndef __TWI_h
#define __TWI_h

/* -- Includes ------------------------------------------------------------- */

/* -- Configuration Parameters --------------------------------------------- */

/* -- Makros --------------------------------------------------------------- */

/* -- Defines -------------------------------------------------------------- */ 

/* -- Types ---------------------------------------------------------------- */

/* -- Extern Global Variables ---------------------------------------------- */

/* -- Global Function Prototypes ------------------------------------------- */

extern void Init_TWI(void);
extern void Twi_send_byte(uint8_t slave_u8,uint8_t sub_u8,uint8_t data_u8);
extern uint8_t Twi_read_byte(uint8_t slave_u8, uint8_t sub_u8);

#endif // __TWI_h 

// eof //
